.EV55 {
  position: relative;

  .table-wrap {
    width: 450px;
    overflow-x: auto;
    margin-left: 329px;

    td:nth-child(1),
    th:nth-child(1) {
      line-height: 55px;
      width: 30px;
      position:absolute;
      left: 0;
    }

    td:nth-child(2),
    th:nth-child(2) {
      width: 200px;
      position:absolute;
      left: 30px;
      .form-group {
        width: auto;
      }
    }

    td:nth-child(3),
    th:nth-child(3) {
      width: 100px;
      position:absolute;
      left: 230px;
      .form-group {
        width: auto;
      }
    }

    .delete-row-btn {
      visibility: hidden;
    }

    .delete-column-btn {
      margin-left: 10px;
      visibility: hidden;
    }

    table {
      width: auto;
      border: none;

      tr {
        &:hover {
          cursor:pointer;
          .delete-row-btn {
            cursor: pointer;
            visibility: visible;
            &:hover {
              color: green;
            }
          }
        }
        &:nth-child(2) {
          th {
            border-top: none;
            border-bottom: none;
          }
        }
        &:first-child {
          th {
            border-bottom-width: 1px;
          }
        }

        td {
          width: 150px;
          .form-group {
            width: 150px;
            margin: 10px 0;
          }
          &:first-child {
            border: none;
            background-color: white !important;
          }
        }

        th {
          width: 150px;
          &:first-child {
            border: none;
            background-color: white !important;
          }
          &:hover {
            .delete-column-btn {
              cursor: pointer;
              visibility: visible;
              &:hover {
                color: green;
              }
            }
          }

          &:nth-child(2),
          &:nth-child(3), {
            border: none;
          }
          &:nth-child(4), {
            border-left: none;
          }
          input {
            display: inline-block;
            width: 120px;
          }
        }
      }

      .delete-row-btn {
        &:hover {
          cursor: pointer;
          color: green;
        }
      }
    }

    .add-column-btn {
      position: absolute;
      right: -15px;
      top: 42px;
      &:hover {
        cursor: pointer;
        color: green;
      }
    }
  }
  .add-row-btn {
    margin-left: 30px;
    &:hover {
      cursor: pointer;
      color: green;
    }
  }
}